{% extends "page_base.html" %}

{% block title -%}
    {%- if board == None -%}
        Création d'un nouveau tableau
    {%- else -%}
        Préférences du tableau
    {%- endif -%}
{%- endblock %}

{% block css %}
    {{ super() }}
    <link rel="stylesheet" type="text/css"
        href="{{ url_for('static', filename='css/board_settings.css') }}"/>
{% endblock %}

{% block javascript %}
{{ super() }}
<script type="text/javascript" src="{{ url_for('static', filename='js/common.js') }}"></script>
<script type="text/javascript" src="{{ url_for('static', filename='js/board_settings.js') }}"></script>
{% endblock %}

{% block page_header %}
<h2 class="centered-page-title">
    {%- if board == None -%}
        Création d'un nouveau tableau
    {%- else -%}
        Préférences du tableau
    {%- endif -%}
</h2>
{% endblock %}


{% block content %}
<div id="board_form_box" class="box single-box">
    <form id="form_board_creation" action="#" class="credentials_form">

        <div id="board_name_field">
            <label class="field" for="board_name">Nom :</label>
            <input type="text" name="board_name" id="board_name" size="30"/>
        </div>

        <div id="board_public_field">
            <input type="checkbox" name="board_public" id="board_public"/>
            <label class="field" for="board_public">
                Rendre ce tableau Public
            </label>
        </div>
        <p>Tout le monde pourra voir ce tableau, mais seul les membres
        pourront le modifier.</p>

        <div class="sub-box">
            <h3>Colonnes du tableau</h3>

            <ul id="board_column_list"></ul>

            <input type="button" id="board_add_column" value="Ajouter une colonne"/>
        </div>

        <div class="sub-box no-bottom-padding">
            <h3>Membres</h3>

            <ul id="board_sub_list"></ul>

            <label class="field" for="board_sub_search_bar">Ajouter un membre :</label>
            <input type="search" id="board_sub_search_bar" placeholder="Recherchez un membre"/>

            <h4 id="board_sub_search_title" hidden="hidden">Résultats de recherches : </h4>
            <ul id="board_sub_search_result" hidden="hidden"></ul>
        </div>

        {% if board == None %}
            <input type="submit" value="Créer un tableau"/>
        {% else %}
            <input type="submit" value="Sauvegarder les préférences du tableau"/>
        {% endif %}
    </form>
</div>

<script type="text/javascript" nonce="{{ csp_nonce }}">
    var script_root = {{ request.script_root|tojson }};
    var board = {{ board_json|tojson }};
    var current_user_id = {{ current_user.id|tojson }};
    var current_user_name = {{ current_user.display_name|tojson }};
    var renderer = new BoardEditor(board);
    renderer.rebuild();
</script>
{% endblock %}
